Bug 118056 - Recovery dialog keeps opening and failing after closing to password prompt at the first recovery
Summary: Recovery dialog keeps opening and failing after closing to password prompt at...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Document-Recovery
  Show dependency treegraph
 
Reported: 2018-06-07 18:15 UTC by Telesto
Modified: 2021-05-09 03:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Files list - new user, first login, no other actions taken (2.64 KB, text/plain)
2019-05-09 00:02 UTC, Eric Marceau
Details
Files list - new user, first login, first action is attempt to open LibreOffice (11.00 KB, text/plain)
2019-05-09 00:03 UTC, Eric Marceau
Details
Command Line Attempt to Start LO with --safe-mode --nodefault (130.16 KB, image/png)
2019-05-09 19:03 UTC, Eric Marceau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-06-07 18:15:31 UTC
Description:
Recovery dialog keeps opening and failing after closing to password prompt at the first recovery

Steps to Reproduce:
1. Open attachment 142548 [details]: Password: helicopter 
2. Make a change
3. Kill it through task manager
4. Reopen calc to initiate recovery
5. Press Start
6. Cancel the password prompt or close the dialog with red cross
7. Press Finish
8. Close LibO (CTRL+Q)
9. Launch LibO -> Recovery dialog popups up.. 
10. Press Start -> No Password prompt c.q. failing recovery
11. It keeps looping through the recovery dialog until using Discard




1. Open the file
 (currently using windows 10). Killing the task is as close as I can come to reproducing libre office crashing/needing to be ended due to being non responsive.

5. it will ask for the password
6. if you just save it after recovery the file will no longer have a password.

Actual Results:  
Recovery dialog loop until using discard

Expected Results:
Probably a password prompt or a loop detection


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-07_00:23:34
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2018-06-22 14:13:45 UTC
Repro, already in 3.3.0

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Locale: fi-FI (fi_FI); Calc: group threaded
Comment 2 Eric Marceau 2019-05-08 22:49:09 UTC
New Instance Report related to Bug 118056


Environment:
media-info: Ubuntu-MATE 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
Kernel: Linux 4.15.0-48-generic x86_64


I have the same problem of looping on recovery attempts at startup of LibreOffice, after crashing.

I looked at the command line options and the options 

  "--nodefault"

and

  "--norestore"

did not fix the issue and allow LibreOffice to start with the welcome screen.

There is no options to tell LibreOffice to 

  "--sanitize"

that will force startup by running a sanitizing process to purge any offending condition causing LibreOffice to enter the crash recovery process.

NOTE:  I have edited the ~/.config/libreoffice/4/user/registrymodifications.xcu to remove at first the "RecoveryList" entry for "recovery_item_1", with no success, then attempted again with deleting that and the 2 references to "RecoveryInfo", for each of "Crashed" and "SessionData", again with no success. 

Even after doing that, LibreOffice is obtaining from somewhere unknown that there is still a reference to a need for recovery, for the offending file "Untitled_1".

Can anyone advise 
- where that offending reference is stored for persistence, and 
- how to remove that so as to restore sanity?

I have purged what I believe is the related pipe file,

  /tmp/OSL_PIPE_1000_SingleOfficeIPC_a0f990f14944785c517f24b57dd362a

and temporary files

  /tmp/lu4634fq381z.tmp  (example)

and that doesn't fixt it either.

I have event completely removed all related package files, then re-installed, with no positive outcome.

Is there a "cleanup user" function available to restore the necessary sanity for LibreOffice for a specified user?

Thank you,
Eric


P.S.  Don't know if there is anything meaningful related to the problem in the following:
May  8 16:56:46 OasisMini kernel: [ 1679.057158] kauditd_printk_skb: 312 callbacks suppressed
May  8 16:56:46 OasisMini kernel: [ 1679.057163] audit: type=1400 audit(1557349006.170:377): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/home/ericthered/.cache/mesa_shader_cache/index" pid=4395 comm="soffice.bin" requested_mask="wrc" denied_mask="wrc" fsuid=1000 ouid=1000
May  8 16:56:46 OasisMini kernel: [ 1679.575940] audit: type=1400 audit(1557349006.690:378): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/usr/share/print-backends/org.openprinting.Backend.CUPS" pid=4394 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 16:56:48 OasisMini kernel: [ 1681.753772] audit: type=1400 audit(1557349008.870:379): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/home/ericthered/.cache/mesa_shader_cache/index" pid=4413 comm="soffice.bin" requested_mask="wrc" denied_mask="wrc" fsuid=1000 ouid=1000
May  8 16:56:49 OasisMini kernel: [ 1682.282830] audit: type=1400 audit(1557349009.398:380): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/usr/share/print-backends/org.openprinting.Backend.CUPS" pid=4412 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 16:56:50 OasisMini kernel: [ 1683.781040] audit: type=1400 audit(1557349010.894:381): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/home/ericthered/.cache/mesa_shader_cache/index" pid=4431 comm="soffice.bin" requested_mask="wrc" denied_mask="wrc" fsuid=1000 ouid=1000
May  8 16:56:51 OasisMini kernel: [ 1684.301490] audit: type=1400 audit(1557349011.414:382): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/usr/share/print-backends/org.openprinting.Backend.CUPS" pid=4430 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.075714] audit: type=1400 audit(1557350183.134:383): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/home/ericthered/.cache/mesa_shader_cache/index" pid=4635 comm="soffice.bin" requested_mask="wrc" denied_mask="wrc" fsuid=1000 ouid=1000
May  8 17:16:23 OasisMini kernel: [ 2856.793532] audit: type=1400 audit(1557350183.850:384): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/proc/4634/mountinfo" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
May  8 17:16:23 OasisMini kernel: [ 2856.794038] audit: type=1400 audit(1557350183.854:385): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/proc/4634/cgroup" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=1000
May  8 17:16:23 OasisMini kernel: [ 2856.794048] audit: type=1400 audit(1557350183.854:386): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/memory/memory.limit_in_bytes" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.794060] audit: type=1400 audit(1557350183.854:387): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/cpu,cpuacct/cpu.cfs_quota_us" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.794067] audit: type=1400 audit(1557350183.854:388): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/cpu,cpuacct/cpu.cfs_period_us" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.794076] audit: type=1400 audit(1557350183.854:389): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/cpu,cpuacct/cpu.shares" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.794083] audit: type=1400 audit(1557350183.854:390): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/cpu,cpuacct/cpu.cfs_quota_us" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.794090] audit: type=1400 audit(1557350183.854:391): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/cpu,cpuacct/cpu.cfs_period_us" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
May  8 17:16:23 OasisMini kernel: [ 2856.794096] audit: type=1400 audit(1557350183.854:392): apparmor="ALLOWED" operation="open" profile="libreoffice-so
ffice" name="/sys/fs/cgroup/cpu,cpuacct/cpu.shares" pid=4634 comm="soffice.bin" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0

== end ==
Comment 3 Eric Marceau 2019-05-08 23:02:47 UTC
(In reply to Eric Marceau from comment #2)
> New Instance Report related to Bug 118056
> 
> 
> Environment:
> media-info: Ubuntu-MATE 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
> Kernel: Linux 4.15.0-48-generic x86_64
> 

Package version in Ubuntu repository is labelled:  

  libreoffice 1:6.0.7-0ubuntu0.18.04.5 (ubuntu-security)
Comment 4 Eric Marceau 2019-05-09 00:02:34 UTC
Created attachment 151257 [details]
Files list - new user, first login, no other actions taken
Comment 5 Eric Marceau 2019-05-09 00:03:53 UTC
Created attachment 151258 [details]
Files list - new user, first login, first action is attempt to open LibreOffice
Comment 6 Eric Marceau 2019-05-09 19:03:58 UTC
Created attachment 151275 [details]
Command Line Attempt to Start LO with --safe-mode --nodefault

Screen snapshot of cli-base attempt to start up with command:

  nohup libreoffice --safe-mode --nodefault &

"Safe Mode" window pops up but inaccessible because "Recovery" workflow window also pops-up doing "take-over" of process because closing that window does not allow return to "Safe Mode" control, but instead kills both windows as part of Recovery attempt.
Comment 7 QA Administrators 2021-05-09 03:50:43 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug